import java.util.Scanner;

// vC[\X[p[NXiۃNXj
abstract class Player {
  // tB[h
  protected int hand;	// I񂾎

  // Iԃ\bhiۃ\bhj
  public abstract void setHand();

  // Ԃ\bh
  public int getHand() {
    return this.hand;
  }
}

// [U[\TuNX
class User extends Player {
  // Iԃ\bhiۃ\bh̎j
  public void setHand() {
    Scanner scn = new Scanner(System.in);
    System.out.print("[U[̎ = ");
    this.hand = scn.nextInt();
  }
}

// Rs[^\TuNX
class Computer extends Player {
  // Iԃ\bhiۃ\bh̎j
  public void setHand() {
    this.hand = (int)(Math.random() * 100) % 3 + 1;
    System.out.println("Rs[^̎ = " + this.hand);
  }
}

// R\NX
class Judge {
  // tB[h
  private String judgement;	// 茋

  // s\bh
  public void doJudge(Player user, Player computer) {
    final int GU = 1, CHOKI = 2, PA = 3;
    int userHand = user.getHand();
    int computerHand = computer.getHand();
    if (userHand == computerHand) {
      this.judgement = "";
    }
    else if (userHand == GU && computerHand == CHOKI ||
             userHand == CHOKI && computerHand == PA ||
             userHand == PA && computerHand == GU) {
      this.judgement = "[U[̏";
    }
    else {
      this.judgement = "Rs[^̏";
    }
  }

  // 茋ʂ\郁\bh
  public void showJudge() {
    System.out.println(this.judgement);
  }
}

// main\bhNX
public class JankenOOA2 {
  // ̃NX̃CX^XW񂵂tB[h
  private static Player user;
  private static Player computer;
  private static Judge judge;

  // vO̎sJnʒuƂȂ郁\bh
  public static void main(String[] args) {
    user = new User();
    computer = new Computer();
    judge = new Judge();
    user.setHand();
    computer.setHand();
    judge.doJudge(user, computer);
    judge.showJudge();
  }
}
